Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.grammar
Class ASTWithToken

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              de.grogra.grammar.ASTWithToken

All Implemented Interfaces:
  antlr.collections.AST, java.io.Serializable

    public class ASTWithToken

extends antlr.CommonAST

See Also:
  Serialized Form

Field Summary
`antlr.Token` | `token`

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`ASTWithToken()`
`ASTWithToken(int type, java.lang.String text)`

Method Summary
`ASTWithToken` | `add(antlr.collections.AST child)`
`ASTWithToken` | `add(int type, java.lang.String text)`
`ASTWithToken` | `dup()`
`int` | `getLine()`
`void` | `initialize(antlr.collections.AST t)`
`void` | `initialize(antlr.Token token)`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setText, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getColumn, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### token

    public antlr.Token token

Constructor Detail

### ASTWithToken

    public ASTWithToken()

### ASTWithToken

    public ASTWithToken(int type,
                        java.lang.String text)

Method Detail

### add

    public ASTWithToken add(antlr.collections.AST child)

### add

    public ASTWithToken add(int type,
                            java.lang.String text)

### dup

    public ASTWithToken dup()

### getLine

    public int getLine()

  Specified by:
    `getLine` in interface `antlr.collections.AST`
  Overrides:
    `getLine` in class `antlr.BaseAST`

### initialize

    public void initialize(antlr.collections.AST t)

  Specified by:
    `initialize` in interface `antlr.collections.AST`
  Overrides:
    `initialize` in class `antlr.CommonAST`

### initialize

    public void initialize(antlr.Token token)

  Specified by:
    `initialize` in interface `antlr.collections.AST`
  Overrides:
    `initialize` in class `antlr.CommonAST`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD